version: 2

builds:
  - id: dynamo-browse
    targets:
      - darwin_amd64
      - darwin_arm64
    env:
      - CGO_ENABLED=1
    main: ./cmd/dynamo-browse/.
    binary: dynamo-browse

archives:
  - id: zip
    wrap_in_directory: true
    formats:
      - tar.gz

homebrew_casks:
  - name: dynamo-browse
    repository:
      owner: casks
      name: dynamo-browse
      git:
        url: 'ssh://forgejo@lmika.dev:casks/dynamo-browse.git'
        private_key: "{{ .Env.HOMEBREW_TAP_PRIVATE_KEY }}"
    directory: Casks
    homepage:  https://dynamo-browse.lmika.dev/
    description: TUI tools for working with DynamoDB
    license: MIT

checksum:
  name_template: 'checksums-macos.txt'

snapshot:
  version_template: "{{ .Tag }}-next"